//
// Common constant and function definitions.
//
const PI := 3.14159

sin(x) := _sin (x)
cos(x) := _cos (x)
tan(x) := _tan (x)

asin(x) := _asin (x)
acos(x) := _acos (x)
atan(x) := _atan (x)

//
// Testing stuff.
//
trigonometric(x,y,z) :=
   5 * cos(x/2) * cos(y/2) * cos(z) + sin(7 * (x + z)) / 6 + sin(9 * (x/2 + z/3 + y)) / 7

conditional1(x,y) :=
   if ( x < y ) then 1 else -1

conditional2(x,y) :=
   (if ( x < 0 ) then x ** 2 else 3 * sin(x) ) * y
   
// Cause a divbyzero exception.
divbyzero(x,y) :=
   x * y / 0
   
// Cause a stack overflow.
stackoverflow(x,y) :=
   stackoverflow(x+1,y+1)
   
